{% extends 'en/en_base.html' %}
{% load static %}

{% block content %}
    <section>
        <div class="spacer">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item">
                        <a class="no-link c-blue" href="{% url 'frontend:forum_topics' %}">Topics</a>
                    </li>
                    <li class="breadcrumb-item"></li>
                </ol>
            </nav>
            <div class="d-flex justify-content-between">
                <h3 class="mb-5">
                    Threads
                </h3>
                <div>
                    <a href="{% url 'frontend:forum_thread_create' topic.slug %}"
                       class="btn btn-success btn-sm">
                        New Thread
                    </a>
                </div>
            </div>
            <div class="list-group">
                {% for thread, num_reply in mapper %}
                    <a href="{% url 'frontend:forum_thread' thread.pk %}"
                       class="list-group-item list-group-item-action">
                        <div class="d-flex justify-content-between">
                            <div class="d-flex align-items-center">
                                <i class="bi bi-record-circle c-green"></i>
                                <div class="ms-3">
                                    <span>
                                        {{ thread.title }}
                                        {% if thread.is_verified %}
                                            <i class="bi bi-patch-check-fill c-lightblue-2 ms-2"></i>
                                        {% endif %}
                                    </span>
                                    <br/>
                                    <small class="text-muted">
                                        #{{ thread.pk }} opened on {{ thread.created_at|date:"M d, Y" }}
                                        by {{ thread.user.username }}
                                    </small>
                                </div>
                            </div>
                            <div class="d-flex">
                                <i class="bi bi-chat-left"></i>
                                <small class="text-muted ms-2">{{ num_reply }}</small>
                            </div>
                        </div>
                    </a>
                {% endfor %}
            </div>
        </div>
    </section>
{% endblock %}

{% block js %}

{% endblock %}

